Upgrading OCS Schema From 11.1.1.7 To 11.1.1.9 Using PSA Fails - UpgradeException: UPGAST-00173 (Doc ID 2235731.1)

Last updated on FEBRUARY 22, 2017

Applies to:

Oracle WebCenter Content - Version 11.1.1.9.0 and later
Information in this document applies to any platform.

Symptoms

On : 11.1.1.9.0 version, Content Server

When attempting to perform an in place upgrade of WCC 11.1.1.7.0 to WCC 11.1.1.9.0.,
the following error occurs when trying to upgrade the OCS schema using psa.

ERROR
-----------------------
[2017-01-13T11:40:44.687+00:00] [UCMSEARCH] [INCIDENT_ERROR] [UPGCMP-06603]
[upgrade.UCMSEARCH.UCM] Error in upgrading Oracle WebCenter Content schema.
[2017-01-13T11:40:44.687+00:00] [UCMSEARCH] [INCIDENT_ERROR]
[upgrade.UCMSEARCH.UCM] Cause: An unexpected upgrade error occurred during
Oracle WebCenter Content schema upgrade.
[2017-01-13T11:40:44.687+00:00] [UCMSEARCH] [INCIDENT_ERROR]
[upgrade.UCMSEARCH.UCM] Action: Check the error messages in Oracle WebCenter
Content component log files. Correct the problem before running the Assistant
again. Contact Oracle Support Services if you are unable to correct the
problem.
[2017-01-13T11:40:44.687+00:00] [UCMSEARCH] [INCIDENT_ERROR]
[upgrade.UCMSEARCH.UCM]
oracle.ias.update.exception.UpgradeException: UPGAST-00173: The plugin for
UCMSEARCH.UCM has requested an input value named OCS but that name is not in
the template.
at
oracle.ias.update.plugin.UpgradePlugin.reportBadInput(UpgradePlugin.java:207)
at
oracle.ias.update.plugin.UpgradePlugin.getInputData(UpgradePlugin.java:287)
at
oracle.ias.update.plugin.UpgradePlugin.getConnectionString(UpgradePlugin.java:
345)
at
oracle.ias.update.plugin.ucm.UCMUpdatePlugin.examine(UCMUpdatePlugin.java:152)

at oracle.ias.update.plugin.Plugin.examine(Plugin.java:313)
at oracle.ias.update.plan.PlanStep.examine(PlanStep.java:287)
at oracle.ias.update.UpgradeDriver.doExamines(UpgradeDriver.java:397)
at oracle.ias.update.gui.UAExamineThread.run(UAExamineThread.java:48)



STEPS
-----------------------
The issue can be reproduced at will with the following steps:
1.  Have WCC 11.1.1.7.0 installed and patched to latest patchset

2.  During WCC 11.1.1.9.0 in place upgrade running psa causes the error.


BUSINESS IMPACT
-----------------------
The issue has the following business impact:
Due to this issue, the upgrade cannot complete.

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms